## randmac 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(randmac
		VERSION 0.0.1
		DESCRIPTION "generate random MAC addresses"
		HOMEPAGE_URL "https://github.com/virtualsquare/randmac"
		LANGUAGES C)

set(HEADERS_REQUIRED strcase.h)
include(CheckIncludeFile)

foreach(HEADER IN LISTS HEADERS_REQUIRED)
  check_include_file(${HEADER} ${HEADER}_OK)
  if(NOT ${HEADER}_OK)
    message(FATAL_ERROR "header file ${HEADER} not found")
  endif()
endforeach(HEADER)

include(GNUInstallDirs)
add_definitions(-D_GNU_SOURCE)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_FORTIFY_SOURCE=2 -O2 -pedantic -Wall -Wextra")
add_executable(randmac randmac.c)
install(TARGETS randmac
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})

add_subdirectory(man)

add_custom_target(uninstall
  "${CMAKE_COMMAND}"
    -DCADO_SPOOL_DIR=${CADO_SPOOL_DIR}
    -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake"
  )

=== debian/changelog ===
randmac (0.1-3) unstable; urgency=medium

  * New Source only upload

 -- Andrea Capriotti <capriott@debian.org>  Sat, 26 Sep 2020 11:49:57 +0200

randmac (0.1-2) unstable; urgency=medium

  * d/control: Add VirtualSquare Uploaders
  * d/control: Add strcase-dev Build-Depends
  * d/control: Fix Vcs
  * d/watch: Fix filename mangle

 -- Andrea Capriotti <capriott@debian.org>  Sun, 23 Aug 2020 19:44:32 +0200

randmac (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sat, 11 Jul 2020 09:14:09 +0200

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%randmac-$1.tar.gz%" \
   https://github.com/virtualsquare/randmac/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## randmac 0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 project(randmac
-		VERSION 0.0.1
+		VERSION 0.0.2
 		DESCRIPTION "generate random MAC addresses"
 		HOMEPAGE_URL "https://github.com/virtualsquare/randmac"
 		LANGUAGES C)

=== debian/changelog ===
randmac (0.2-1) unstable; urgency=medium

  [ Renzo Davoli ]
  * update to v.0.2

  [ Mattia Rizzolo ]
  * Drop uupdate and filenamemangle from d/watch.

 -- Renzo Davoli <renzo@cs.unibo.it>  Mon, 06 Mar 2023 11:06:01 +0100

=== debian/control ===
Source: randmac
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), strcase-dev
Standards-Version: 4.5.0
Section: utils
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/randmac.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/randmac
Rules-Requires-Root: no

Package: randmac
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate random MAC addresses
 randmac prints a random MAC address. This utility has been designed to give
 random MAC addresses to interfaces of virtual machines (e.g. qemu/kvm)

=== debian/watch ===
version=4

https://github.com/virtualsquare/randmac/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz
